Name:		y-cruncher
Version:	0.6.5.9444b
Release:	1.1
Url:		http://www.numberworld.org/y-cruncher/
Group:		System/Benchmark
License:	unknown
Summary:	Pi-benchmark
Source0:	%{name}-%{version}.tar.bz2
Source1:	%{name}-rpmlintrc
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Requires:	less
BuildArch:	x86_64

%description
The first scalable multi-threaded Pi-benchmark for multi-core systems.

%prep
%setup -q -n %{name}-%{version}

%build

%install
%__install -D -m0755 y-cruncher %{buildroot}%{_sbindir}/y-cruncher
%__install -m0755 digit-viewer %{buildroot}%{_sbindir}/digit-viewer
%__install -m0755 -d %{buildroot}%{_sbindir}
for y in y-cruncher-x64-AVX2-Airi  y-cruncher-x64-AVX-Hina  y-cruncher-x64-SSE3-Kasumi  y-cruncher-x64-SSE41-Ushio  y-cruncher-x64-XOP-Miyu ; do
 %__install -m0755 Binaries/$y %{buildroot}%{_sbindir}/$y
done

for dv in digit-viewer_x64-sse2  digit-viewer_x64-sse41 ; do
 %__install -m0755 Binaries/$dv %{buildroot}%{_sbindir}/$dv 
done

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README.txt Username.txt Binaries/Tuning.txt
%{_sbindir}/y-cruncher*
%{_sbindir}/digit-viewer*

%changelog
* Sun Aug 31 2014 cs@linux-administrator.com
- update to release 0.6.5.9444b
* Sun Oct 27 2013 cs@linux-administrator.com
- update to alpha release 0.6.2.9322
* Sat Jul 30 2011 cs@linux-administrator.com
- update to release 0.5.5.9187
* Sun Mar 20 2011 cs@linux-administrator.com
- initial package build
